play.utils

## Class Utils.Maps

- java.lang.Object
- - play.utils.Utils.Maps

- Enclosing class:
    Utils

      public static class Utils.Maps
      extends java.lang.Object

  for java.util.Map

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Maps()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <K,V> java.util.Map<K,V>` | `filterMap(java.util.Map<K,V> map, java.lang.String keypattern)`
    `static void` | `mergeValueInMap(java.util.Map<java.lang.String,java.lang.String[]> map, java.lang.String name, java.lang.String value)`
    `static void` | `mergeValueInMap(java.util.Map<java.lang.String,java.lang.String[]> map, java.lang.String name, java.lang.String[] values)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Maps

          public Maps()

  - ### Method Detail

    - #### mergeValueInMap

          public static void mergeValueInMap(java.util.Map<java.lang.String,java.lang.String[]> map,
                                             java.lang.String name,
                                             java.lang.String value)

    - #### mergeValueInMap

          public static void mergeValueInMap(java.util.Map<java.lang.String,java.lang.String[]> map,
                                             java.lang.String name,
                                             java.lang.String[] values)

    - #### filterMap

          public static <K,V> java.util.Map<K,V> filterMap(java.util.Map<K,V> map,
                                                           java.lang.String keypattern)

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly